Please help me to create a pocket

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
Post Reply
AvgJoe
Posts: 42
Joined: Wed Oct 01, 2014 2:23 am

Please help me to create a pocket

Post by AvgJoe »

I'm 99% percent sure the drawing is error free. In fact, I tested and the pocket tool worked just fine before equalizing the circles diameter. Yet, Freecad crashes when I'm trying to create a pocket from the "Cannot pocket (Bottom holes)" sketch. Please see the attached file.

------------------------------------------------------------------------------------------------
Version: 0.15.4671 (Git)
Branch: releases/FreeCAD-0-15
Hash: 244b3aef360841646cbfe80a1b225c8b39c8380c
Python version: 2.7.9
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.7.0
Attachments
post.fcstd
(25.29 KiB) Downloaded 33 times
User avatar
bejant
Veteran
Posts: 6075
Joined: Thu Jul 11, 2013 3:06 pm

Re: Please help me to create a pocket

Post by bejant »

Hi AvgJoe, I got the crash too:

Code: Select all

[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
FreeCAD 0.16, Libs: 0.16R5942 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2015
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

[New Thread 0xad459b40 (LWP 19864)]
[New Thread 0xacaffb40 (LWP 19865)]
[New Thread 0xabbb8b40 (LWP 19866)]
[New Thread 0xab3b7b40 (LWP 19867)]
[New Thread 0xaabb6b40 (LWP 19868)]
[Thread 0xaabb6b40 (LWP 19868) exited]
[Thread 0xab3b7b40 (LWP 19867) exited]
[New Thread 0xab3b7b40 (LWP 19873)]
[New Thread 0xaabb6b40 (LWP 19874)]
[Thread 0xab3b7b40 (LWP 19873) exited]
[Thread 0xaabb6b40 (LWP 19874) exited]

Program received signal SIGSEGV, Segmentation fault.
0xa70cfb4a in Handle_Standard_Transient::BeginScope() ()
   from /usr/lib/i386-linux-gnu/libTKernel.so.10
(gdb) bt
#0  0xa70cfb4a in Handle_Standard_Transient::BeginScope() ()
   from /usr/lib/i386-linux-gnu/libTKernel.so.10
#1  0xa70cfbbf in Handle_Standard_Transient::Assign(Standard_Transient const*)
    () from /usr/lib/i386-linux-gnu/libTKernel.so.10
#2  0xa5e39643 in TopExp_Explorer::Init(TopoDS_Shape const&, TopAbs_ShapeEnum, TopAbs_ShapeEnum) () from /usr/lib/i386-linux-gnu/libTKBRep.so.10
#3  0xa5c77636 in BRepBndLib::Add(TopoDS_Shape const&, Bnd_Box&, bool) ()
   from /usr/lib/i386-linux-gnu/libTKTopAlgo.so.10
#4  0xa40926ed in PartDesign::SketchBased::Wire_Compare::operator()(TopoDS_Wire const&, TopoDS_Wire const&) () from /usr/lib/freecad/lib/_PartDesign.so
#5  0xa408e769 in ?? () from /usr/lib/freecad/lib/_PartDesign.so
#6  0xa408f18e in PartDesign::SketchBased::makeFace(std::vector<TopoDS_Wire, std::allocator<TopoDS_Wire> > const&) const ()
   from /usr/lib/freecad/lib/_PartDesign.so
#7  0xa409a656 in PartDesign::Pocket::execute() ()
   from /usr/lib/freecad/lib/_PartDesign.so
#8  0xb7512a83 in App::DocumentObject::recompute() ()
   from /usr/lib/freecad/lib/libFreeCADApp.so
#9  0xa760c16f in Part::Feature::recompute() ()
   from /usr/lib/freecad/lib/Part.so
#10 0xb74e12a0 in App::Document::_recomputeFeature(App::DocumentObject*) ()
   from /usr/lib/freecad/lib/libFreeCADApp.so
#11 0xb74e7c07 in App::Document::recompute() ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/freecad/lib/libFreeCADApp.so
#12 0xb752e0ff in App::DocumentPy::recompute(_object*) ()
   from /usr/lib/freecad/lib/libFreeCADApp.so
#13 0xb752e15f in App::DocumentPy::staticCallback_recompute(_object*, _object*)
    () from /usr/lib/freecad/lib/libFreeCADApp.so
#14 0xb70e1f29 in PyCFunction_Call ()
   from /usr/lib/i386-linux-gnu/libpython2.7.so.1.0
#15 0xb7123516 in PyEval_EvalFrameEx ()
   from /usr/lib/i386-linux-gnu/libpython2.7.so.1.0
#16 0xb712463c in PyEval_EvalCodeEx ()
   from /usr/lib/i386-linux-gnu/libpython2.7.so.1.0
#17 0xb71247a3 in PyEval_EvalCode ()
   from /usr/lib/i386-linux-gnu/libpython2.7.so.1.0
#18 0xb711e287 in PyRun_StringFlags ()
   from /usr/lib/i386-linux-gnu/libpython2.7.so.1.0
#19 0xb73a72c5 in Base::InterpreterSingleton::runString(char const*) ()
   from /usr/lib/freecad/lib/libFreeCADBase.so
#20 0xb7894a0b in Gui::Command::doCommand(Gui::Command::DoCmd_Type, char const*, ...) () from /usr/lib/freecad/lib/libFreeCADGui.so
#21 0xa410a173 in PartDesignGui::TaskPocketParameters::apply() ()
   from /usr/lib/freecad/lib/PartDesignGui.so
#22 0xa410a452 in PartDesignGui::TaskDlgPocketParameters::accept() ()
   from /usr/lib/freecad/lib/PartDesignGui.so
---Type <return> to continue, or q <return> to quit---
#23 0xb7a4088f in Gui::TaskView::TaskView::accept() ()
   from /usr/lib/freecad/lib/libFreeCADGui.so
#24 0xb7a409d4 in ?? () from /usr/lib/freecad/lib/libFreeCADGui.so
#25 0xb63d00f7 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#26 0xb6aaaaa5 in QDialogButtonBox::accepted() ()
   from /usr/lib/i386-linux-gnu/libQtGui.so.4
#27 0xb6aaaba8 in ?? () from /usr/lib/i386-linux-gnu/libQtGui.so.4
#28 0xb63d00f7 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#29 0xb6d6026d in QAbstractButton::clicked(bool) ()
   from /usr/lib/i386-linux-gnu/libQtGui.so.4
#30 0xb6a7ac21 in ?? () from /usr/lib/i386-linux-gnu/libQtGui.so.4
#31 0xb6a7bfa7 in ?? () from /usr/lib/i386-linux-gnu/libQtGui.so.4
#32 0xb6a7c0ae in QAbstractButton::mouseReleaseEvent(QMouseEvent*) ()
   from /usr/lib/i386-linux-gnu/libQtGui.so.4
#33 0xb66bd40a in QWidget::event(QEvent*) ()
   from /usr/lib/i386-linux-gnu/libQtGui.so.4
#34 0xb6a7d0b2 in QAbstractButton::event(QEvent*) ()
   from /usr/lib/i386-linux-gnu/libQtGui.so.4
#35 0xb6b17c7c in QPushButton::event(QEvent*) ()
   from /usr/lib/i386-linux-gnu/libQtGui.so.4
#36 0xb66637f4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/i386-linux-gnu/libQtGui.so.4
#37 0xb666bea0 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/i386-linux-gnu/libQtGui.so.4
#38 0xb7871606 in Gui::GUIApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/freecad/lib/libFreeCADGui.so
#39 0xb63bae4a in QCoreApplication::notifyInternal(QObject*, QEvent*) ()
   from /usr/lib/i386-linux-gnu/libQtCore.so.4
#40 0xb6669b53 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) ()
   from /usr/lib/i386-linux-gnu/libQtGui.so.4
#41 0xb66ed7a8 in ?? () from /usr/lib/i386-linux-gnu/libQtGui.so.4
#42 0xb66ecef5 in QApplication::x11ProcessEvent(_XEvent*) ()
   from /usr/lib/i386-linux-gnu/libQtGui.so.4
#43 0xb6718554 in ?? () from /usr/lib/i386-linux-gnu/libQtGui.so.4
#44 0xb29a71e3 in g_main_context_dispatch ()
   from /lib/i386-linux-gnu/libglib-2.0.so.0
#45 0xb29a7468 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#46 0xb29a7528 in g_main_context_iteration ()
   from /lib/i386-linux-gnu/libglib-2.0.so.0
#47 0xb63ea93b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#48 0xb671860e in ?? () from /usr/lib/i386-linux-gnu/libQtGui.so.4
#49 0xb63b9823 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag---Type <return> to continue, or q <return> to quit---
>) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#50 0xb63b9b49 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/i386-linux-gnu/libQtCore.so.4
#51 0xb63bf8fe in QCoreApplication::exec() ()
   from /usr/lib/i386-linux-gnu/libQtCore.so.4
#52 0xb6661a24 in QApplication::exec() ()
   from /usr/lib/i386-linux-gnu/libQtGui.so.4
#53 0xb7834f21 in Gui::Application::runApplication() ()
   from /usr/lib/freecad/lib/libFreeCADGui.so
#54 0x0804a8d3 in main ()
(gdb)
OS: Ubuntu 14.04.3 LTS
Word size of OS: 32-bit
Word size of FreeCAD: 32-bit
Version: 0.16.5942 (Git)
Build type: None
Branch: master
Hash: c9cfc369d6eb00529deb7c04a2e20e436523e0b6
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

Let me look at your model some more, and I'll post back soon.
User avatar
bejant
Veteran
Posts: 6075
Joined: Thu Jul 11, 2013 3:06 pm

Re: Please help me to create a pocket

Post by bejant »

Every time I try to Pocket with that last Sketch FreeCAD crashes. Check Geometry reports that the previous Feature is good, and I can create a new Sketch on it and Pocket, but when I try to Pocket with that last Sketch it causes FreeCAD to crash every time.
renatorivo
Veteran
Posts: 2611
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Please help me to create a pocket

Post by renatorivo »

maybe I did not understand, but it seems to work
post.png
post.png (17.29 KiB) Viewed 1408 times
OS: Windows 8.1
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.15.4671 (Git)
Branch: releases/FreeCAD-0-15
Hash: 244b3aef360841646cbfe80a1b225c8b39c8380c
Python version: 2.7.8
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
renatorivo
Veteran
Posts: 2611
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Please help me to create a pocket

Post by renatorivo »

also it works in linux
postlinux.png
postlinux.png (50.39 KiB) Viewed 1405 times
OS: Ubuntu 14.04.3 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.5942 (Git)
Build type: None
Branch: master
Hash: c9cfc369d6eb00529deb7c04a2e20e436523e0b6
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
AvgJoe
Posts: 42
Joined: Wed Oct 01, 2014 2:23 am

Re: Please help me to create a pocket

Post by AvgJoe »

Would you post the file here, please?
I tried on my regular install and a live Linux usb but both failed. The interesting thing is, it worked on the live usb at first. Than I changed the type "Through all" and couldn't do it again.
Should I open a bug report in this case?
renatorivo
Veteran
Posts: 2611
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Please help me to create a pocket

Post by renatorivo »

here is the file in Windows
Attachments
postrenato.FCStd
(46.07 KiB) Downloaded 25 times
AvgJoe
Posts: 42
Joined: Wed Oct 01, 2014 2:23 am

Re: Please help me to create a pocket

Post by AvgJoe »

Thank you so much!
Post Reply